org.apache.poi.hemf.record.emfplus

## Class HemfPlusDraw.EmfPlusDrawImagePoints

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusDraw.EmfPlusDrawImagePoints

- All Implemented Interfaces:
    GenericRecord, HemfPlusDraw.EmfPlusCompressed, HemfPlusDraw.EmfPlusRelativePosition, HemfPlusMisc.EmfPlusObjectId, HemfPlusRecord
  Enclosing class:
    HemfPlusDraw

      public static class HemfPlusDraw.EmfPlusDrawImagePoints
      extends java.lang.Object
      implements HemfPlusRecord, HemfPlusMisc.EmfPlusObjectId, HemfPlusDraw.EmfPlusCompressed, HemfPlusDraw.EmfPlusRelativePosition

  The EmfPlusDrawImagePoints record specifies drawing a scaled image inside a parallelogram.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusObjectId

      `OBJECT_ID`

    - ### Fields inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusDraw.EmfPlusCompressed

      `COMPRESSED`

    - ### Fields inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusDraw.EmfPlusRelativePosition

      `POSITION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusDrawImagePoints()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfPlusRecordType` | `getEmfPlusRecordType()`
    `int` | `getFlags()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `init(LittleEndianInputStream leis, long dataSize, long recordId, int flags)` Init record from stream
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusObjectId

      `getObjectId`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusDraw.EmfPlusCompressed

      `getReadRect, isCompressed`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusDraw.EmfPlusRelativePosition

      `isRelativePosition`

- - ### Constructor Detail

    - #### EmfPlusDrawImagePoints

          public EmfPlusDrawImagePoints()

  - ### Method Detail

    - #### getEmfPlusRecordType

          public HemfPlusRecordType getEmfPlusRecordType()

      Specified by:
        `getEmfPlusRecordType` in interface `HemfPlusRecord`

    - #### getFlags

          public int getFlags()

      Specified by:
        `getFlags` in interface `HemfPlusDraw.EmfPlusCompressed`
      Specified by:
        `getFlags` in interface `HemfPlusDraw.EmfPlusRelativePosition`
      Specified by:
        `getFlags` in interface `HemfPlusMisc.EmfPlusObjectId`
      Specified by:
        `getFlags` in interface `HemfPlusRecord`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize,
                           long recordId,
                           int flags)
                    throws java.io.IOException

      Description copied from interface: `HemfPlusRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfPlusRecord`
      Parameters:
        `leis` - the little endian input stream
        `dataSize` - the size limit for this record
        `recordId` - the id of the `HemfPlusRecordType`
        `flags` - the record flags
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfPlusRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfPlusRecord`
      Parameters:
        `ctx` - the drawing context

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.